package com.netpc.recruitment.controllers;

import com.netpc.recruitment.models.contact.IContactDAO;
import com.netpc.recruitment.models.user.UserAuth;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @author superuser
 * Created 12-Jan-15
 */

@Controller
@RequestMapping(value = "/")
public class IndexController {
    @Autowired
    private IContactDAO contactDAO;

    @Autowired
    private UserAuth userAuth;

    private static final String VIEW_INDEX = "index";

    @RequestMapping(method = RequestMethod.GET)
    public String indexAction(ModelMap model) {
        try {
            model.addAttribute("people", contactDAO.getAllContacts());
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (userAuth.isLogged())
            model.addAttribute("user", userAuth.getUser());

        return VIEW_INDEX;
    }

}