package com.netpc.recruitment.controllers;

import com.netpc.recruitment.models.user.NoSuchUserException;
import com.netpc.recruitment.models.user.UserAuth;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author superuser
 * Created 13-Jan-15
 */
@Controller
@RequestMapping(value = "/login")
public class LoginController {
    private static final String VIEW_INDEX = "login";

    @Autowired
    private UserAuth userAuth;

    @RequestMapping(method = RequestMethod.GET)
    public String indexAction(ModelMap model, @RequestParam(required = false) String error) throws NoSuchUserException {
        model.addAttribute("error", error);
        if (userAuth.isLogged()) {
            return "redirect:/";
        }
        return VIEW_INDEX;
    }

    @RequestMapping(value = "/auth", method = RequestMethod.GET)
    public String loginAction(@RequestParam(required = true) String login, String password) {
        if (userAuth.login(login, password))
            return "redirect:/";
        else
            return "redirect:/" + VIEW_INDEX + "?error=No such user!!!";
    }

    @RequestMapping(value = "/logout", method = RequestMethod.GET)
    public String logoutAction() {
        userAuth.logout();
        return "redirect:/";
    }
}
