package com.netpc.recruitment.models.user;


import javax.sql.DataSource;
import java.sql.*;

/**
 * @author superuser
 * Created 13-Jan-15
 */
public class JDBCUserDAO implements IUserDAO {
    private static final String GET_USER = "SELECT * FROM USERS WHERE login = ? AND password = MD5(?)";
    private DataSource dataSource;

    public void setDataSource(DataSource dataSource) {
        this.dataSource = dataSource;
    }

    @Override
    public User getUser(String login, String password) throws NoSuchUserException {
        Connection conn = null;

        try {
            conn = dataSource.getConnection();
            PreparedStatement statement = conn.prepareStatement(GET_USER);
            statement.setString(1, login);
            statement.setString(2, password);
            ResultSet resultSet = statement.executeQuery();

            boolean hasUser = resultSet.next();
            if (!hasUser)
                throw new NoSuchUserException("User not found!");

            return new User(resultSet.getInt("id"),
                            resultSet.getString("login"),
                            resultSet.getString("password"));
        } catch (SQLException e) {
            throw new RuntimeException(e);
        } finally {
            if (conn != null) {
                try {
                    conn.close();
                } catch (SQLException ignored) {}
            }
        }
    }

    @Override
    public User getUser(int id) throws NoSuchUserException {
        throw new UnsupportedOperationException();
    }

    @Override
    public int updateContact(User user) {
        throw new UnsupportedOperationException();
    }

    @Override
    public boolean deleteContact(User user) {
        throw new UnsupportedOperationException();
    }
}
