package com.netpc.recruitment.models.user;

import org.springframework.beans.factory.annotation.Autowired;
import javax.servlet.http.HttpSession;

/**
 * @author superuser
 * Created 13-Jan-15
 */

public class UserAuth {
    private static final String SESSION_TAG = "user_session";

    @Autowired
    private HttpSession httpSession;

    @Autowired
    private IUserDAO userDAO;

    public boolean login(String login, String password) {
        try {
            httpSession.setAttribute(SESSION_TAG, userDAO.getUser(login, password));
        } catch (Exception e) {
            return false;
        }
        return true;
    }

    public void logout() {
        httpSession.removeAttribute(SESSION_TAG);
    }

    public boolean isLogged() {
        return httpSession.getAttribute(SESSION_TAG) != null;
    }

    public User getUser() {
        if (!isLogged())
            return null;
        return (User) httpSession.getAttribute(SESSION_TAG);
    }
}
