<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<html>
    <body>
        <h1>People</h1>
        <style>
            table tr:not(:first-child):hover {
                background: gray;
                cursor: pointer;
            }
        </style>
        <c:choose>
            <c:when test="${not empty user}">
                Logged as ${user.login} <a href="${pageContext.request.contextPath}/login/logout"><small>Logout</small></a>
            </c:when>
            <c:otherwise>
                <a href="${pageContext.request.contextPath}/login">Login</a>
            </c:otherwise>
        </c:choose>

        <c:choose>
            <c:when test="${not empty people}">
                <table class="people" border="1">
                    <tr class="head">
                        <th>First name</th>
                        <th>Second name</th>
                        <th>Email name</th>
                        <th>Phone name</th>
                        <th>Date of birth</th>
                    </tr>
                    <c:forEach var="contact" items="${people}">
                        <tr <c:if test="${not empty user}">
                                onclick="window.location.href = '${pageContext.request.contextPath}/contact/edit?id=${contact.id}'"
                            </c:if>
                        >
                            <td>${contact.firstName}</td>
                            <td>${contact.secondName}</td>
                            <td>${contact.email}</td>
                            <td>${contact.phone}</td>
                            <td>${contact.dob}</td>
                        </tr>
                    </c:forEach>
                </table>
            </c:when>
            <c:otherwise>
                <small>Nothing here</small>
            </c:otherwise>
        </c:choose>

        <c:if test="${not empty user}">
            <a href="${pageContext.request.contextPath}/contact/edit"><h4>Add new contact</h4></a>
        </c:if>
    </body>
</html>
